%define snapshot 0
%define date 0

%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1
%define pre rc
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtimageformats_d %mklibname qt5imageformats -d

%if %snapshot 
%define qttarballdir qtimageformats-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtimageformats-everywhere-opensource-src-%{qtversion}
%endif

Name: qtimageformats5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt ImageFormats component
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

# Upstream patches
Patch0001:	0001-Add-some-basic-checking-against-corrupt-input.patch
Patch0002:      0002-Check-earlier-to-avoid-sanitzer-warnings.patch
Patch0003:      0003-jp2-use-correct-buffer_size-for-jas_stream_memopen.patch
Patch0004:      0004-jp2-use-new-APIs-for-jasper-3.patch

BuildRequires: qtbase5-devel = %{version}
# TRACK: https://bugreports.qt-project.org/browse/QTBUG-33116
#BuildRequires: libmng-devel
BuildRequires: pkgconfig(libtiff-4)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 ImageFormats component.

%files
%_qt5_plugindir/imageformats/*.so

#------------------------------------------------------------------------------

%package -n %{libqtimageformats_d}
Summary: Devel files needed to build apps based on QtImageFormats
Group:    Development/Libraries
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt5_libdir}/cmake/Qt5Gui/*.cmake

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtImageFormats%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtImageFormats5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtimageformats.qch
%{_qt5_docdir}/qtimageformats/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtimageformats-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5


RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
